<?xml version="1.0" encoding="UTF-8"?>
<xsl:transform version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:template match="/">
		<html>
			<head><title>Book titles</title></head>
			<body>
				<h1>Books</h1>
				<xsl:apply-templates select="document('books.xml')//Book" />
			</body>
		</html>
	</xsl:template>
	<xsl:template match="Book">
		<p>
			<xsl:value-of select="@Title"/>
			<ul><xsl:apply-templates select="Author" /></ul>
		</p>
	</xsl:template>
	<xsl:template match="Author">
		<li><xsl:value-of select="@Name"/></li>
	</xsl:template>
</xsl:transform>
