<?xml version="1.0" encoding="UTF-8"?>
<xsl:transform version="3.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml" indent="yes"/>
	<xsl:template match="/">
		<Root>
			<xsl:for-each-group select=".//Translation" group-by="(@Language, ../@Year)" composite="true">
				<xsl:sort select="count(current-group())" order="descending"/>
				<xsl:sort select="current-grouping-key()[2]"/>
				<Books>
					<xsl:attribute name="Language" select="current-grouping-key()[1]"/>
					<xsl:attribute name="Year" select="current-grouping-key()[2]"/>
					<xsl:for-each select="current-group()">
						<Book>
							<xsl:copy-of select="ancestor::Book/@Title"/>
							<xsl:copy-of select="@Publisher"/>
						</Book>
					</xsl:for-each>
				</Books>
			</xsl:for-each-group>
		</Root>
	</xsl:template>
</xsl:transform>