<?xml version="1.0" encoding="UTF-8"?>
<xsl:transform version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="html"/>
	<xsl:template match="/">
		<html>
			<body>
			<ul>
				<xsl:for-each-group select="//Author" group-by="@Name">
					<xsl:sort select="current-grouping-key()" />
					<li>
						<xsl:value-of select="current-grouping-key()"/>
						<ol>
							<xsl:for-each select="current-group()">
								<li><xsl:value-of select="../@Title"/></li>
							</xsl:for-each>
						</ol>
					</li>
				</xsl:for-each-group>
			</ul>
			</body>
		</html>
	</xsl:template>
</xsl:transform>
