<?xml version="1.0" encoding="UTF-8"?>
<xsl:transform version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:template match="/">
		<html>
			<head><title>Authors</title></head>
			<body>
				<h1>Authors</h1>
				<xsl:variable name="doc" select="document('books.xml')" />
				<xsl:for-each select="$doc//Author[not(@Name = preceding::Author/@Name)]">
					<xsl:sort select="@Name" order="descending" />
					<xsl:variable name="n" select="@Name"/>
					<ul>
						<li>
							<xsl:value-of select="@Name"/>
							<ul>
								<xsl:for-each select="$doc//Book[Author/@Name = $n]">
									<li><xsl:value-of select="@Title"/></li>
								</xsl:for-each>
							</ul>
						</li>
					</ul>
				</xsl:for-each>
			</body>
		</html>
	</xsl:template>
</xsl:transform>
