<?xml version="1.0" encoding="UTF-8"?>
<xsl:transform version="3.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml" indent="true"/>
	<xsl:template match="/">
		<xsl:element name="Root">
			<xsl:for-each select="//Book">
				<xsl:element expand-text="yes" name="Book">
					<xsl:attribute name="By">{string-join(Author/@Name, ", ")}</xsl:attribute>
					"{@Title}" was written in {@OriginalLanguage} and exists in {count(Edition)} edition(s).
				</xsl:element>
			</xsl:for-each>
		</xsl:element>
	</xsl:template>
</xsl:transform>
